# Created by pyp2rpm-3.3.4
%global pypi_name qasync

Name:           python-%{pypi_name}
Version:        0.27.1
Release:        1%{?dist}
Summary:        Implementation of the PEP 3156 Event-Loop with Qt

License:        BSD
URL:            https://github.com/CabbageDevelopment/qasync
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-poetry-core >= 1.5.0

%description
qasync allows you to use coroutines in PyQt/PySide applications by
providing an implementation of the PEP 3156 event-loop. qasync is a fork of
asyncqt which is a fork of quamash. May it live longer than its
predecessors.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
qasync allows you to use coroutines in PyQt/PySide applications by
providing an implementation of the PEP 3156 event-loop. qasync is a fork of
asyncqt which is a fork of quamash. May it live longer than its
predecessors.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files qasync

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Oct 29 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-python-qasync.git

* Tue Oct 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e45b762
- version 0.27.1-1

* Tue Oct 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9db6f53
- Disable build on Ubuntu Jammy

* Tue Oct 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5072672
- rpm: Adjust build for poetry build

* Tue Oct 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6469835
- deb: Adjust packaging for poetry build

* Tue Oct 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 628b26f
- Use VERSION placeholder in .qubesbuilder

* Tue Oct 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d304bf
- CI: switch to R4.3

* Wed Oct 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0bf11d3
- version 0.23.0-2

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e27486a
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f8686b9
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 123e90f
- Drop Travis CI

* Tue Mar 01 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78dd8f7
- version 0.23.0-1

* Sun Dec 19 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3ddc278
- Add Debian bookworm support

* Wed Oct 20 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 1ea06cc
- Use $(file <) instead of $(shell cat)

* Mon May 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3b4aef0
- Add gitlab-ci

* Wed May 12 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 7c64c14
- Switch from wget to curl

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50bbb96
- version 0.9.4-2

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ba48b0
- rpm: don't use Fedora-specific python virtual packages

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4049e20
- Build for Debian bullseye and centos too

* Tue Jun 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd82c0a
- Initial packaging

